Bug Hunting Session
Bug 58308 - CONDITIONAL FORMATTING: Too few conditions available when using Icon Sets with 4 or 5 icons
Summary: CONDITIONAL FORMATTING: Too few conditions available when using Icon Sets wit...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.0.beta1
Hardware: Other Linux (All)
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: BSA target:4.1.0 target:4.0.0.0.beta2
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-14 17:38 UTC by Fabian Alexander Wilms
Modified: 2012-12-17 23:16 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Alexander Wilms 2012-12-14 17:38:07 UTC
Problem description: 

When trying to use an icon sets as conditional formatting, which has more than three icons, one cannot specify the conditions for all of them, but only the first three ones.

Steps to reproduce:
1. Formatting>Conditional Formatting>Condition>All Cells>Icon Sets
2. Choose icon set with more than three items
3. try to specify the condition of the 4th or 5th icon

Current behavior:

Not possible. Only via closing the management dialog and then clicking Edit... allows to specify all conditions.

Expected behavior:

It should be posiible while setting up the conditional formatting.
Operating System: Ubuntu
Comment 1 Markus Mohrhard 2012-12-15 14:56:26 UTC
Seems like all that is missing is a call to ScCondFormatWindow::RecalcAll which takes care of calculating the new height of an conditional entry.

As a workaround for now you can also just add a new entry and delete it immediately again. This calls the same method.
Comment 2 Not Assigned 2012-12-17 22:59:56 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=92a8be9fb4877d43e099c99d067bd3f06397d212

UI does not update correctly for icon sets, fdo#58308



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Not Assigned 2012-12-17 23:11:42 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4d46369f128393441ca87945cb419fe1350d1feb&g=libreoffice-4-0

UI does not update correctly for icon sets, fdo#58308


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.